// The imbiber immediately
// takes 3 Poisoned Conditions that cannot be resisted at first,
await this.actor.addCondition("poisoned", 3)

// recovers a number of Wounds equal to their Toughness Bonus, 
await this.actor.modifyWounds(this.actor.system.characteristics.t.bonus)

// and acquires the Regenerate Creature Trait.
const hasRegenerate = this.actor.has("Regenerieren")
if (hasRegenerate === undefined) {
  fromUuid("Compendium.wfrp4e-core.items.SfUUdOGjdYpr3KSR").then(trait => {
    let traitItem = trait.toObject()
    this.actor.createEmbeddedDocuments("Item", [traitItem], {fromEffect: this.effect.id})
  })
}

this.script.scriptMessage(`<p><strong>${this.actor.prototypeToken.name}</strong> hat:
    <ul>
      <li>3 Vergiftet Zustände, denen nicht widerstanden werden kann</li>
      <li>Bekommt ${this.actor.system.characteristics.t.bonus} Wunden wieder</li>
      <li>Erhält die Kreatur-Eigenschaft Regenerieren.</li>
    </ul>
    Es ist Ranalds Wahl, ob die Regenerieren die Vergiftung heilen kann.</p>
    <p>Wenn alle Vergifteten Zustände beendet sind, geht auch die Eigenschaft Regenerieren verloren.</p>`,

    { whisper: ChatMessage.getWhisperRecipients("GM"), blind: true })   
